#pragma once
#pragma warning(disable:4996)

#include <stdlib.h>

const double pi = 3.141592653589793238;
inline float radians(float angle) { return angle*((float)pi/180.0f); }
inline float degrees(float angle) { return angle*(180.0f/(float)pi); }
inline double radians(double angle) { return angle*(pi/180.0); }
inline double degrees(double angle) { return angle*(180.0/pi); }

#ifndef __linux__
#include <SDL.h>
#include <SDL_thread.h>
#else
#include <SDL/SDL.h>
#include <SDL/SDL_thread.h>
#endif

#include <math.h>
#include <string>
#include <map>
#include <set>
#include <list>
#include <sstream>
#include <stdexcept>

//#define CRT
#ifdef CRT
#ifdef WIN32
#define _CRTDBG_MAP_ALLOC
#include <crtdbg.h>
#endif
#endif

using namespace std;